summaryrefslogtreecommitdiff
path: root/devtools
diff options
context:
space:
mode:
authorGavin Hu <gavin.hu@arm.com>2018-06-30 01:27:36 +0800
committerThomas Monjalon <thomas@monjalon.net>2018-07-11 21:14:21 +0200
commitc0d022070f7c7a77c1a47fee55f971b2afb763d4 (patch)
treede30f8432c84100298666d6f04463e2837c4be21 /devtools
parenteb04875825b5b4b4f66f0df03641011f229a4c1e (diff)
downloaddpdk-c0d022070f7c7a77c1a47fee55f971b2afb763d4.zip
dpdk-c0d022070f7c7a77c1a47fee55f971b2afb763d4.tar.gz
dpdk-c0d022070f7c7a77c1a47fee55f971b2afb763d4.tar.xz
devtools: fix ninja command in build test
On some linux distributions, eg: CentOS, the ninja executable has a different name: ninja-build, this patch is to check and adapt to it accordingly. ./devtools/test-meson-builds.sh: line 24: ninja: command not found Fixes: a55277a788 ("devtools: add test script for meson builds") Cc: stable@dpdk.org Signed-off-by: Gavin Hu <gavin.hu@arm.com> Reviewed-by: Phil Yang <phil.yang@arm.com> Reviewed-by: Song Zhu <song.zhu@arm.com> Acked-by: Bruce Richardson <bruce.richardson@intel.com>
Diffstat (limited to 'devtools')
-rwxr-xr-xdevtools/test-meson-builds.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index f2ad05f..662f82d 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -10,6 +10,15 @@
srcdir=$(dirname $(readlink -m $0))/..
MESON=${MESON:-meson}
+if command -v ninja >/dev/null 2>&1 ; then
+ ninja_cmd=ninja
+elif command -v ninja-build >/dev/null 2>&1 ; then
+ ninja_cmd=ninja-build
+else
+ echo "ERROR: ninja is not found" >&2
+ exit 1
+fi
+
build () # <directory> <meson options>
{
builddir=$1
@@ -20,8 +29,8 @@ build () # <directory> <meson options>
$MESON $options $srcdir $builddir
unset CC
fi
- echo "ninja -C $builddir"
- ninja -C $builddir
+ echo "$ninja_cmd -C $builddir"
+ $ninja_cmd -C $builddir
}
# shared and static linked builds with gcc and clang